Skip to main content
POST
/
core.v1.WorkflowService
/
CreateWorkflowTrigger
cURL
curl -X POST "https://api.joinformal.com/core.v1.WorkflowService/CreateWorkflowTrigger" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "runId": "<string>",
  "triggered": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.formal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json
workflowId
string

The ID of the workflow to trigger

Minimum string length: 1
payload
payload · object

Optional payload to pass to the workflow (available as trigger.payload in CEL expressions)

Response

Success

runId
string

The workflow run ID

triggered
boolean

Whether the workflow was triggered (false if allow expression evaluated to false)